/writing: classic blog posts

main
Jonathan Dahan 12 months ago
parent d6dbf819b6
commit cd9b2fac69

@ -0,0 +1,3 @@
# {{ title }}
{{ content }}

@ -0,0 +1,39 @@
#!/bin/sh
#set -e
if [ ! $# = 1 ]; then
printf >&2 "Usage: %s <path> [ext]\n" "$(basename "$0")"
exit 0
fi
printf >&2 "hello world from %s" "$p"
p="$1"
t="${2:-md}"
if [ ! -d "$p" ]; then
printf >&2 "error: path %s not found\n" "$p"
exit 1
fi
find "$p" -type f -name "*.$t" | sort -r | while read -r file; do
name="${file#"$p"}"
name="${name#"/"}"
name="${name%.*}"
# skip the index
if [ "$name" = "index" ]; then continue; fi
title="$(zs vars "$file" title)"
if [ -z "$title" ]; then
title="$name"
fi
postdate="$(zs vars "$file" postdate)"
if [ -z "$postdate" ]; then
inputdate=$(basename $file | cut -d- -f1-3)
postdate=$(date -j -f "%Y-%m-%d" "$inputdate" "+%h %Y")
fi
echo "- <span>$postdate</span> [$title](${p}/${name}.html)"
done

@ -0,0 +1,19 @@
#!/bin/sh
set -e
if [ ! $# = 1 ]; then
printf >&2 "Usage: %s <path> [ext]\n" "$(basename "$0")"
exit 0
fi
p="$1"
t="${2:-md}"
if [ ! -d "$p" ]; then
printf >&2 "error: path %s not found\n" "$p"
exit 1
fi
find "$p" -type f -name "*.$t" | grep -v 'index.md$' | sort -r | head -n1 | while read -r file; do
ZS_LAYOUT=embed.html zs build $file
done

@ -1 +1,6 @@
writing
<a href=#all-posts>all posts</a> (rss feed in the works...)
{{ latest writing }}
### all posts
{{ index writing }}

Loading…
Cancel
Save